## ISINF Test for infinities

Section: Inspection Functions

### Usage

Returns true for entries of an array that are infs (i.e., infinities). The usage is

       y = isinf(x)

The result is a logical array of the same size as `x`, which is true if `x` is not-a-number, and false otherwise. Note that for `complex` or `dcomplex` data types that the result is true if either the real or imaginary parts are infinite.

### Example

Suppose we have an array of floats with one element that is `inf`:

    --> a = [1.2 3.4 inf 5]
    a =
      <double>  - size: [1 4]

    Columns 1 to 4
       1.2    3.4    inf    5.0
    --> isinf(a)
    ans =
      <logical>  - size: [1 4]

    Columns 1 to 4
     0  0  1  0
    --> b = 3./[2 5 0 3 1]
    b =
      <double>  - size: [1 5]

    Columns 1 to 5
       1.5    0.6    inf    1.0    3.0